# Page Not Found

The URL `rest-api/rest-api-user-and-device` does not exist. This page may have been moved, renamed, or deleted.

## Suggested Pages

You may be looking for one of the following:
- [User & Device Management](https://user.netmera.com/netmera-developer-guide/api-documentation/rest-api/user-and-device-management.md)
- [User & Attributes](https://user.netmera.com/netmera-developer-guide/platforms/react-native/user-and-attributes.md)
- [REST API](https://user.netmera.com/netmera-developer-guide/api-documentation/rest-api.md)
- [Favorite Count & Social Proof](https://user.netmera.com/netmera-developer-guide/api-documentation/rest-api/favorite-count-and-social-proof.md)
- [Error Responses](https://user.netmera.com/netmera-developer-guide/api-documentation/rest-api/error-responses.md)

## How to find the correct page

If the exact page cannot be found, you can still retrieve the information using the documentation query interface.

### Option 1 — Ask a question (recommended)

Perform an HTTP GET request on the documentation index with the `ask` parameter:

```
GET https://user.netmera.com/netmera-developer-guide/api-documentation/rest-api/user-and-device-management.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

### Option 2 — Browse the documentation index

Full index: https://user.netmera.com/netmera-developer-guide/sitemap.md

Use this to discover valid page paths or navigate the documentation structure.

### Option 3 — Retrieve the full documentation corpus

Full export: https://user.netmera.com/netmera-developer-guide/llms-full.txt

Use this to access all content at once and perform your own parsing or retrieval. It will be more expensive.

## Tips for requesting documentation

Prefer `.md` URLs for structured content, append `.md` to URLs (e.g., `/netmera-developer-guide/api-documentation/rest-api/user-and-device-management.md`).

You may also use `Accept: text/markdown` header for content negotiation.
